
<?php
session_start();

if ($_SESSION['company'] == "") { 
    exit("Please Login");
}
if ($_SESSION['CURRENT_USER'] == "") { 
    exit("Please Login");
}include_once './new/connection_sql.php';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link href="style.css" rel="stylesheet" type="text/css" media="screen" />


    <title>Search Grn</title>
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script> -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css">
    <!-- <script language="JavaScript" src="js/search_joborder.js"></script> -->
    <script language="JavaScript" src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script language="JavaScript" src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <script language="JavaScript" src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>
 
            <script language="JavaScript" src="js/grn.js"></script>

</head>
<body>
    <?php
    $stname = "";
    if (isset($_GET['stname'])) {
        $stname = $_GET["stname"];
    }
    ?>
    <input type="hidden" value="" id="cur" />


    <div id="filt_table" class="CSSTableGenerator container"> 
        <table id="testTable"  class="table table-bordered">
            <?php

              
            // if ($_SESSION["company"]!="") {           
            //      $sql = "SELECT * FROM s_crnma where TRN_TYPE='GRN' and  company='".$_SESSION["company"]."'  order by SDATE desc  ";
            // }else{
            //      $sql = "SELECT * FROM s_crnma where TRN_TYPE='GRN'    order by SDATE desc  ";
            // } 

            
            echo "<table id='example'  class='table table-bordered' style='font-size: 12px;'>";

            echo "<thead><tr>";
            echo "<th style=\"text-align:center\">Grn No</th>";
            echo "<th style=\"text-align:center\">Grn Date</th>";    
            echo "<th style=\"text-align:center\">Customer</th>";    
            echo "<th style=\"text-align:center\">Invoice No</th>";    
 

            echo "</tr></thead><tbody>";
                    
                    if (($_SESSION['COMCODE']=="A") or ($_SESSION['COMCODE']=="B") or ($_SESSION['COMCODE']=="R")){
								$sql = "SELECT * FROM s_crnma where  company='".$_SESSION["company"]."'  order by SDATE desc  ";
							} else {
                                $sql = "SELECT * FROM s_crnma  where company='".$_SESSION["company"]."' order by SDATE desc  ";
							}	
							
                    // $sql = "SELECT * FROM s_crnma where  company='".$_SESSION["company"]."'  order by SDATE desc  ";
                    echo $sql;
                    foreach ($conn->query($sql) as $row) {
                      
 

                     if($row['CANCELL'] == "1"){
                    $color="red";
                }else{
                    $color="";
                }
                
               	echo "<tr bgcolor=\"$color\">          
                              <td onclick=\"grn('".$row['REF_NO']."');\">".$row['REF_NO']."</a></td>
                              <td onclick=\"grn('".$row['REF_NO']."');\">".$row['SDATE']."</a></td>
                              <td onclick=\"grn('".$row['REF_NO']."');\">".$row['C_CODE']." - ".$row['CUS_NAME']."</a></td>
							  <td onclick=\"grn('".$row['REF_NO']."');\">".$row['INVOICENO']."</a></td>
                            </tr>";
                    }
            ?>
        </table> </div>

        <script type="text/javascript">
                $(document).ready(function() {
           var table = $('#example').DataTable( {
            lengthChange: true,
            fixedHeader: true,
            responsive: true,
            "deferRender": true, 
             "order": [[ 1, 'desc' ]], 
            lengthMenu: [[ 25, 50,100, -1 ],[ '25 rows', '50 rows', '100 rows', 'Show all' ]],

        } );

$('div.dataTables_filter input', table.table().container()).focus();
           table.buttons().container()
           .appendTo( '#example_wrapper .col-md-6:eq(0)' );
           
       } );
        </script>

    </body>
    </html>


 
 
 
 
  


 